#ifndef FOAD_H
#define FOAD_H

#include "config.h"

#include <stdio.h>
#if HAVE_STRINGS_H
# include <strings.h>
#endif
#if HAVE_STRING_H
# include <string.h>
#endif
#if HAVE_STDLIB_H
# include <stdlib.h>
#elif HAVE_MALLOC_H
# include <malloc.h>
#endif
#if HAVE_UNISTD_H
# include <unistd.h>
#endif
#if HAVE_ERRNO_H
# include <errno.h>
#endif
extern	int errno;

#if HAVE_SYS_TYPES_H
# include <sys/types.h>
#endif
#include <regex.h>
#include <limits.h>

#if ! HAVE_BZERO
# define	bzero(a, b)	memset(a, 0, b)
#endif

#if ! HAVE_RINDEX
# define	index(a, b)	strchr(a, b)
# define	rindex(a, b)	strrchr(a, b)
#endif

typedef struct _node {
        char            *addr;
        int             line;
        regex_t         preg;
        struct _node    *next;
} node;
typedef struct s_addresses {
        node    *next;
} s_addresses;

#if STDC_HEADERS
int	append(char **, char *);
#else
int	append();
#endif

#endif /* FOAD_H */
